// vim: set ts=8 sts=2 et sw=2 tw=99:
// Style definitions for name effects.

@mixin name-color($color) {
  color: $color;
  text-decoration-color: $color;
}

@mixin gradient-prereqs($underline-color) {
  color: transparent;
  -webkit-background-clip: text;  // iPhones actually need this.
  background-clip: text;
  text-decoration-color: $underline-color;
}

.pink {
  @include name-color(#FF69B4);
}

.hotpink {
  @include name-color(#F442B0);
}

.salmonpink {
  @include name-color(#F08080);
}

.lightpink {
  @include name-color(#FFB6C1);
}

.purple {
  @include name-color(#AE76FF);
}

.green {
  @include name-color(#51DA27);
}

.darkgreen {
  @include name-color(#11782f);
}

.neongreen {
  @include name-color(#39ff14);
}

.lightblue {
  @include name-color(#43D1FF);
}

.royalblue {
  @include name-color(#507CFF);
}

.turquoise {
  @include name-color(#40e0d0);
}

.red {
  @include name-color(#FB3640);
}

.orange {
  @include name-color(#FFA200);
}

.yellow {
  @include name-color(#FFFC00);
}

.gold {
  @include name-color(#FFD700);
}

// Rainbow with light colors, to be readable against a dark background.
.rainbow {
  @include gradient-prereqs(#FF80AB);
  background-image:
    linear-gradient(to right, #FB3640, #f2f, #43D1FF, #2ff, #2f2, #ff2, #FB3640);
}

// Red, white, and blue.
.america {
  @include gradient-prereqs($default-color);
  background-image: linear-gradient(to right, #FB3640, #EDF2F4, #43D1FF);
}

// Red, white, and red.
.canada {
  @include gradient-prereqs($default-color);
  background-image: linear-gradient(to right, #FB3640, #EDF2F4, #FB3640);
}

// White, red, and white.
.england {
  @include gradient-prereqs($default-color);
  background-image: linear-gradient(to right, #EDF2F4, #FB3640, #EDF2F4);
}

// White, blue, and white.
.finland {
  @include gradient-prereqs(#507CFF);
  background-image: linear-gradient(to right, #507CFF, #EDF2F4);
}

// Blue, white, and red.
.iceland {
  @include gradient-prereqs($default-color);
  background-image: linear-gradient(to right, #005DB5, #EDF2F4, #DD1832);
}

// Green, white, and orange.
.ireland {
  $ireland-green: #009A64;
  $ireland-white: #EDF2F4;
  $ireland-orange: #FF8647;
  @include gradient-prereqs($ireland-white);
  background-image:
    linear-gradient(to right,
      $ireland-green, $ireland-green 33%,
      $ireland-white 34%, $ireland-white 66%,
      $ireland-orange 67%, $ireland-orange);
}

.blue_to_gold {
  $blue: #507CFF;
  $gold: #FFD700;
  @include gradient-prereqs($gold);
  background-image: linear-gradient(to right, $blue, $gold);
}

.blue_to_yellow {
  $blue: #507CFF;
  $yellow: #FFFC00;
  @include gradient-prereqs($blue);
  background-image: linear-gradient(to right, $blue, $yellow);
}

.green_to_gray {
  $neongreen: #39ff14;
  $lightgray: #A1A1A1;
  @include gradient-prereqs($neongreen);
  background-image: linear-gradient(to right, $neongreen, $lightgray);
}

.green_to_white {
  $green: #51DA27;
  $white: #EDF2F4;
  @include gradient-prereqs($green);
  background-image: linear-gradient(to right, $green, $white);
}

.lightblue_to_white {
  $lightblue: #43D1FF;
  $white: #EDF2F4;
  @include gradient-prereqs($lightblue);
  background-image: linear-gradient(to right, $lightblue, $white);
}

.pink_to_purple {
  $pink: #FF69B4;
  $purple: #AE76FF;
  @include gradient-prereqs($pink);
  background-image: linear-gradient(to right, $pink, $purple);
}

.pink_to_purple_to_blue {
  $pink: #FF69B4;
  $purple: #AE76FF;
  $blue: #43D1FF;
  @include gradient-prereqs($pink);
  background-image: linear-gradient(to right, $pink, $purple, $blue);
}

.pink_to_white {
  $pink: #FF69B4;
  $white: #EDF2F4;
  @include gradient-prereqs($pink);
  background-image: linear-gradient(to right, $pink, $white);
}

.purple_to_green {
  $purple: #AE76FF;
  $green: #51DA27;
  @include gradient-prereqs($purple);
  background-image: linear-gradient(to right, $purple, $green);
}

.matt_gradient {
  @include gradient-prereqs($default-color);
  background-image: 
    linear-gradient(to right top,
      #e9aa74, #f0a086, #ee9b9b,
      #e399ae, #d09bbd, #c799bf,
      #bc98c0, #b296c0, #b28fbc,
      #b387b7, #b580b1, #b678ab);
}

.red_to_yellow {
  $red: #FB3640;
  $yellow: #FFFC00;
  @include gradient-prereqs($red);
  background-image: linear-gradient(to right, $red, $yellow);
}

.red_to_white {
  $red: #FB3640;
  $white: #EDF2F4;
  @include gradient-prereqs($red);
  background-image: linear-gradient(to right, $red, $white);
}

.turquoise_to_magenta {
  $turquoise: #40E0D0;
  $magenta: #FF00FF;
  @include gradient-prereqs($turquoise);
  background-image: linear-gradient(to right, $turquoise, $magenta);
}

// Red, Gray, Black.
.carlos {
  @include gradient-prereqs(#444444);
  background-image: linear-gradient(to right, #FB3640, #444444, #000000);
}

.peter_spence {
  @include name-color(#BF262B);
}

.teal-shadow {
  // Sharp offset shadow in teal.
  // 1px blur is more readable than 0px blur at small sizes.
  text-shadow: 1px 1px 1px #01ECE3;
}

.italic {
  font-style: italic;
}

.bold {
  font-weight: bold;
}

.algerian {
  font-family: "Algerian";
}

.comicsans {
  font-family: "Comic Sans MS", "Comic Sans", cursive;
}

.helvetica {
  font-family: "Helvetica";
}

.small-caps {
  font-variant: small-caps;
}

.letter-spacing-2 {
  letter-spacing: 2px;
}
